Subject: bug#8368: 24.0.50; "temp" means "help" - rename or at least document

From: martin rudalics <[email-masked]>
Date: Wed, 02 May 2012 11:40:42 +0200

> I thought both what you proposed and what I proposed addressed this: rename
 > (alias) and deprecate the old, misleading names.  Seems like we're going 'round
 > in circles now.  I thought we (you & I & Stefan, at least) had already agreed on
 > a reasonable solution.
 >
 > And I was pretty clear that the names are not what is most important to me.
 > What matters most is to have a macro that does only the non-help stuff, separate
 > from the macro that does also the help stuff.

Can you tell me what you mean here?  In the first paragraph you say that
you want to rename and in the second paragraph you say that the names
are not important to you.

What I proposed boils down to write (at least) two new macros: One which
sets up `help-mode' and one which does not.  The question (for me) is
whether the former should call the later and which hooks these should
run (if at all).  The `with-output-to-temp-buffer' macro would stay in
place until we can safely tell that it doesn't have any more callers.

martin